# Draw
TKDCAF
DDocStd

# DDocStd_DrawDocument Class Reference

draw variable for TDocStd_Document.
==================================

`#include <DDocStd_DrawDocument.hxx>`

Inheritance diagram for DDocStd_DrawDocument:

[legend]

## Public Member Functions

Standard_EXPORT | DDocStd_DrawDocument (const Handle(TDocStd_Document)&Doc)
Standard_EXPORT Handle_TDocStd_Document | GetDocument () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_DDocStd_DrawDocument | Find (const Handle(TDocStd_Document)&Doc)

## Private Attributes

Handle_TDocStd_Document | myDocument

## Constructor & Destructor Documentation

Standard_EXPORT DDocStd_DrawDocument::DDocStd_DrawDocument | ( | const Handle(TDocStd_Document)& | Doc | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D DDocStd_DrawDocument::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from DDF_Data.

Standard_EXPORT void DDocStd_DrawDocument::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DDF_Data.

virtual Standard_EXPORT void DDocStd_DrawDocument::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from DDF_Data.

static Standard_EXPORT Handle_DDocStd_DrawDocument DDocStd_DrawDocument::Find | ( | const Handle(TDocStd_Document)& | Doc | ) | `[static]`

Standard_EXPORT Handle_TDocStd_Document DDocStd_DrawDocument::GetDocument | ( |  | ) | const

Standard_EXPORT const DDocStd_DrawDocument::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DDF_Data.

virtual Standard_EXPORT void DDocStd_DrawDocument::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from DDF_Data.

## Field Documentation

Handle_TDocStd_Document DDocStd_DrawDocument::myDocument `[private]`

The documentation for this class was generated from the following file:

- DDocStd_DrawDocument.hxx